<template>
    <div class="card">
        <div class="card-body">
            <h5 class="card-title">{{ dog.name }}</h5>
            <h6 class="card-subtitle mb-2 text-body-secondary">{{ dog.breed }}</h6>
            <p class="card-text">Born on {{ dog.birthdate }}</p>
            <RouterLink :to="'/dog/' + dog.id" class="card-link">See More</RouterLink>

            <button class="btn btn-danger" @click="handleDelete()">Delete</button>
            <!-- Version alternative pour faire un lien vers une route paramétrée -->
            <!-- <RouterLink :to="{name: 'single-dog', params:{id:dog.id}}" class="card-link">Card link</RouterLink> -->

            <!-- <a href="#" class="card-link">Another link</a> -->
        </div>
    </div>
</template>

<script setup lang="ts">
import type { Dog } from '@/entities';
import { RouterLink } from 'vue-router';

const {dog} = defineProps<{
    dog: Dog
}>();

const emit = defineEmits(['delete']);

async function handleDelete() {
    emit('delete', dog);
}

</script>